Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 3647)
+++ /palm/trunk/SOURCE/Makefile	(revision 3648)
@@ -25,4 +25,7 @@
 # -----------------
 # $Id$
+# Rename surface_output_mod into surface_data_output_mod
+# 
+# 3637 2018-12-20 01:51:36Z knoop
 # Implementation of the PALM module interface
 # 
@@ -672,5 +675,5 @@
 	surface_layer_fluxes_mod.f90 \
 	surface_mod.f90 \
-	surface_output_mod.f90 \
+	surface_data_output_mod.f90 \
 	swap_timelevel.f90 \
 	synthetic_turbulence_generator_mod.f90 \
@@ -1107,5 +1110,5 @@
 	surface_layer_fluxes_mod.o \
 	surface_mod.o \
-	surface_output_mod.o \
+	surface_data_output_mod.o \
 	synthetic_turbulence_generator_mod.o \
 	turbulence_closure_mod.o \
@@ -1337,5 +1340,5 @@
 	salsa_mod.o \
 	spectra_mod.o \
-	surface_output_mod.o \
+	surface_data_output_mod.o \
 	synthetic_turbulence_generator_mod.o \
 	urban_surface_mod.o \
@@ -1422,5 +1425,5 @@
 	salsa_mod.o \
 	surface_layer_fluxes_mod.o \
-	surface_output_mod.o \
+	surface_data_output_mod.o \
 	time_to_string.o \
 	write_restart_data_mod.o
@@ -1654,5 +1657,5 @@
 	mod_kinds.o \
 	modules.o
-surface_output_mod.o: \
+surface_data_output_mod.o: \
 	mod_kinds.o \
 	modules.o \
@@ -1707,5 +1710,5 @@
 	surface_layer_fluxes_mod.o \
 	surface_mod.o \
-	surface_output_mod.o \
+	surface_data_output_mod.o \
 	synthetic_turbulence_generator_mod.o \
 	time_to_string.o \
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 3647)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 3648)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2018 Leibniz Universitaet Hannover
+! Copyright 1997-2019 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Rename subroutines for surface-data output
+! 
+! 3636 2018-12-19 13:48:34Z raasch
 ! nopointer option removed
 ! 
@@ -687,6 +690,6 @@
                 surf_usm_h, get_topography_top_index_ji, vertical_surfaces_exist
    
-    USE surface_output_mod,                                                    &
-        ONLY:  surface_output_init
+    USE surface_data_output_mod,                                               &
+        ONLY:  surface_data_output_init
    
     USE transpose_indices
@@ -2446,6 +2449,6 @@
 !
 !-- Initialize surface data output
-    IF ( surface_data_output )  THEN
-       CALL surface_output_init
+    IF ( surface_output )  THEN
+       CALL surface_data_output_init
     ENDIF
 !
Index: /palm/trunk/SOURCE/module_interface.f90
===================================================================
--- /palm/trunk/SOURCE/module_interface.f90	(revision 3647)
+++ /palm/trunk/SOURCE/module_interface.f90	(revision 3648)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2018 Leibniz Universitaet Hannover
+! Copyright 1997-2019 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Rename subroutines for surface-data output
+! 
+! 3641 2018-12-23 22:10:01Z knoop
 ! Initial implementation of the PALM module interface
 !
@@ -53,5 +56,5 @@
               plant_canopy,                                                    &
               salsa,                                                           &
-              surface_data_output,                                             &
+              surface_output,                                                  &
               syn_turb_gen,                                                    &
               urban_surface,                                                   &
@@ -204,7 +207,7 @@
               spectra_header
 
-   USE surface_output_mod,                                                     &
-       ONLY:  surface_output_parin,                                            &
-              surface_output_check_parameters
+   USE surface_data_output_mod,                                                &
+       ONLY:  surface_data_output_parin,                                       &
+              surface_data_output_check_parameters
 
    USE synthetic_turbulence_generator_mod,                                     &
@@ -368,5 +371,5 @@
    CALL salsa_parin
    CALL spectra_parin
-   CALL surface_output_parin
+   CALL surface_data_output_parin
    CALL stg_parin
    CALL user_parin ! ToDo: make user code a single Fortran module
@@ -401,5 +404,5 @@
    IF ( salsa )                CALL salsa_check_parameters
    IF ( calculate_spectra )    CALL spectra_check_parameters
-   IF ( surface_data_output )  CALL surface_output_check_parameters
+   IF ( surface_output )       CALL surface_data_output_check_parameters
    IF ( syn_turb_gen )         CALL stg_check_parameters
    IF ( urban_surface )        CALL usm_check_parameters
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 3647)
+++ /palm/trunk/SOURCE/modules.f90	(revision 3648)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2018 Leibniz Universitaet Hannover
+! Copyright 1997-2019 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! -surface_data_output +surface_output
+! 
+! 3636 2018-12-19 13:48:34Z raasch
 ! nopointer option removed
 ! 
@@ -1351,5 +1354,5 @@
     LOGICAL ::  sloping_surface = .FALSE.                        !< use sloped surface? (namelist parameter alpha_surface)
     LOGICAL ::  spinup = .FALSE.                                 !< perform model spinup without atmosphere code?
-    LOGICAL ::  surface_data_output = .FALSE.                    !< output of surface data
+    LOGICAL ::  surface_output = .FALSE.                         !< output of surface data
     LOGICAL ::  stop_dt = .FALSE.                                !< internal switch to stop the time stepping
     LOGICAL ::  synchronous_exchange = .FALSE.                   !< namelist parameter
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 3647)
+++ /palm/trunk/SOURCE/palm.f90	(revision 3648)
@@ -15,5 +15,5 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 1997-2018 Leibniz Universitaet Hannover
+! Copyright 1997-2019 Leibniz Universitaet Hannover
 !------------------------------------------------------------------------------!
 !
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Rename subroutines for surface-data output
+! 
+! 3524 2018-11-14 13:36:44Z raasch
 ! unused variable removed
 ! 
@@ -321,6 +324,6 @@
                pmci_modelconfiguration, pmci_parent_initialize
                
-    USE surface_output_mod,                                                    &
-        ONLY:  surface_output_last_action
+    USE surface_data_output_mod,                                               &
+        ONLY:  surface_data_output_last_action
 
     USE write_restart_data_mod,                                                &
@@ -578,6 +581,6 @@
 !
 !-- Last actions for surface output, for instantaneous and time-averaged data
-    CALL surface_output_last_action( 0 )
-    CALL surface_output_last_action( 1 )
+    CALL surface_data_output_last_action( 0 )
+    CALL surface_data_output_last_action( 1 )
 
 !
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 3647)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 3648)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Rename subroutines for surface-data output
+! 
+! 3647 2019-01-02 14:10:44Z kanani
 ! Bugfix: add time_since_reference_point to IF clause for data_output calls
 ! (otherwise skip_time_* values don't come into affect with dt_do* = 0.0).
@@ -488,5 +491,5 @@
                skip_time_do3d, skip_time_domask, skip_time_dopr,               &
                skip_time_data_output_av, sloping_surface, stop_dt,             &
-               surface_data_output, terminate_coupled, terminate_run,          &
+               surface_output, terminate_coupled, terminate_run,               &
                timestep_scheme,                                                &
                time_coupling, time_do2d_xy, time_do2d_xz, time_do2d_yz,        &
@@ -595,9 +598,9 @@
                enter_surface_arrays, exit_surface_arrays
 
-    USE surface_output_mod,                                                    &
+    USE surface_data_output_mod,                                               &
         ONLY:  average_count_surf, averaging_interval_surf, dt_dosurf,         &
-               dt_dosurf_av, surface_output, surface_output_averaging,         &
-               skip_time_dosurf, skip_time_dosurf_av, time_dosurf,             &
-               time_dosurf_av
+               dt_dosurf_av, surface_data_output,                              &
+               surface_data_output_averaging, skip_time_dosurf,                &
+               skip_time_dosurf_av, time_dosurf, time_dosurf_av
 
     USE turbulence_closure_mod,                                                &
@@ -1466,5 +1469,5 @@
 !
 !--    Increment time-counter for surface output
-       IF ( surface_data_output )  THEN
+       IF ( surface_output )  THEN
           IF ( time_since_reference_point >= skip_time_dosurf )  THEN
              time_dosurf    = time_dosurf + dt_3d
@@ -1592,10 +1595,10 @@
 !
 !--    Average surface data
-       IF ( surface_data_output )  THEN
+       IF ( surface_output )  THEN
           IF (         averaging_interval_surf /= 0.0_wp                               &
                 .AND.  ( dt_dosurf_av - time_dosurf_av ) <= averaging_interval_surf    &
                 .AND.  time_since_reference_point >= skip_time_dosurf_av )  THEN
              IF ( time_dosurf_av >= dt_averaging_input )  THEN        
-                CALL surface_output_averaging
+                CALL surface_data_output_averaging
                 average_count_surf = average_count_surf + 1
              ENDIF
@@ -1714,13 +1717,13 @@
 !
 !--    Output of surface data, instantaneous and averaged data
-       IF ( surface_data_output )  THEN
+       IF ( surface_output )  THEN
           IF (         time_dosurf >= dt_dosurf                                    &
                 .AND.  time_since_reference_point >= skip_time_dosurf )  THEN
-             CALL surface_output( 0 )
+             CALL surface_data_output( 0 )
              time_dosurf = MOD( time_dosurf, MAX( dt_dosurf, dt_3d ) )
           ENDIF
           IF (         time_dosurf_av >= dt_dosurf_av                              &
                 .AND.  time_since_reference_point >= skip_time_dosurf_av )  THEN
-             CALL surface_output( 1 )
+             CALL surface_data_output( 1 )
              time_dosurf_av = MOD( time_dosurf_av, MAX( dt_dosurf_av, dt_3d ) )
           ENDIF
